local WeaverAddition = ...

WeaverAddition:overrideAsset({
                Id = "BUILDING_FUNCTION_WEAVER_HUT",
                Name = WeaverAdditionPrefix .. "_BUILDING_FUNCTION_WEAVER_HUT_NAME"
})

WeaverAddition:registerAsset({
		DataType = "BUILDING_FUNCTION_ASSIGNABLE",
                Id = WeaverAdditionPrefix .. "_ASSIGNABLE_FUNCTION",
                AuthorizedFunctionList = WeaverAdditionPrefix .. "_FUNCTION_LIST"
})

WeaverAddition:registerAsset({
		DataType = "BUILDING_FUNCTION_LIST",
                Id = WeaverAdditionPrefix .. "_FUNCTION_LIST",
                AssetFunctionList = {
                       "BUILDING_FUNCTION_WEAVER_HUT",
                       WeaverAdditionPrefix .. "_FLAX_FUNCTION",
                }
})

WeaverAddition:overrideAsset({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_WEAVER_HUT",
	AssetBuildingFunction = WeaverAdditionPrefix .. "_ASSIGNABLE_FUNCTION"
})

WeaverAddition:registerAsset({
		DataType = "BUILDING_FUNCTION_WORKPLACE",
                Id = WeaverAdditionPrefix .. "_FLAX_FUNCTION",
                Name = WeaverAdditionPrefix .. "_FLAX_FUNCTION_NAME",
		WorkerCapacity = 2,
                RelatedJob = { Job = "WEAVER", Behavior = "BEHAVIOR_WORK" },
                InputInventoryCapacity = {
			{ Resource = "RESOURCE_FLAX", Quantity = 50 }
                },
                ResourceListNeeded = {
                	{ Resource = "RESOURCE_FLAX", Quantity = 1 }
                },
                ResourceProduced = {
			{ Resource = "WOOLEN_CLOTH", Quantity = 1 }
                }
})

