local TailorAddition = ...

TailorAddition:overrideAsset({
                Id = "BUILDING_FUNCTION_TAILOR_WORKSHOP",
                Name = TailorAdditionPrefix .. "_BUILDING_FUNCTION_TAILOR_WORKSHOP_NAME"
})

TailorAddition:registerAsset({
		DataType = "BUILDING_FUNCTION_ASSIGNABLE",
                Id = TailorAdditionPrefix .. "_ASSIGNABLE_FUNCTION",
                AuthorizedFunctionList = TailorAdditionPrefix .. "_FUNCTION_LIST"
})

TailorAddition:registerAsset({
		DataType = "BUILDING_FUNCTION_LIST",
                Id = TailorAdditionPrefix .. "_FUNCTION_LIST",
                AssetFunctionList = {
                       "BUILDING_FUNCTION_TAILOR_WORKSHOP",
                       TailorAdditionPrefix .. "_LEATHER_FUNCTION",
                }
})

TailorAddition:overrideAsset({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_TAILOR_WORKSHOP",
	AssetBuildingFunction = TailorAdditionPrefix .. "_ASSIGNABLE_FUNCTION"
})

TailorAddition:registerAsset({
		DataType = "BUILDING_FUNCTION_WORKPLACE",
                Id = TailorAdditionPrefix .. "_LEATHER_FUNCTION",
                Name = TailorAdditionPrefix .. "_LEATHER_FUNCTION_NAME",
		WorkerCapacity = 1,
                RelatedJob = { Job = "TAILOR", Behavior = "BEHAVIOR_WORK" },
                InputInventoryCapacity = {
			{ Resource = "LEATHER", Quantity = 50 }
                },
                ResourceListNeeded = {
                	{ Resource = "LEATHER", Quantity = 1 }
                },
                ResourceProduced = {
			{ Resource = "CLOTHES", Quantity = 1 }
                }
})

